//
//  Left.h
//  UISplitControllerWithTwoUINavControllers
//
//  Created by Jon on 3/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Right, Left;

@protocol reachBack;

@interface Left : UIViewController {
    UITextField *leftTF;  
    UIButton *myBtn;
    UIButton *closeBtn;
    UIButton *clearBtn;
    
    @private
    id <reachBack> delegate;
}
@property (nonatomic, retain)IBOutlet UITextField *leftTF;
@property (nonatomic, retain)IBOutlet UIButton *myBtn;
@property (nonatomic, retain)IBOutlet UIButton *closeBtn;
@property (nonatomic, retain)IBOutlet UIButton *clearBtn;

@property (nonatomic, assign) id <reachBack> delegate;

- (IBAction)myBtnPushed:(id)sender;
- (IBAction)closeBtnPushed:(id)sender;
- (IBAction)clearBtnPushed:(id)sender;

@end

@protocol reachBack
-(void)reachingBack:(Left *)controller;
-(void)reachingBackForClearing:(Left *)controller;
@end